For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate a new adjustment
      • DELDelete an adjustment
      • GETRetrieve adjustments
      • GETRetrieve an adjustment
      • GETRetrieve categories
      • PATCHUpdate an adjustment
LogoLogo
SupportDeel Home
EndpointsAdjustments

Create a new adjustment

POST
/adjustments
POST
/rest/v2/adjustments
$curl -X POST https://api.letsdeel.com/rest/v2/adjustments \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@file \
> -F title="Your title here" \
> -F amount='100.25' \
> -F vendor="Vendor" \
> -F country="US" \
> -F contract_id="m3jk2j" \
> -F description="Your description here" \
> -F adjustment_category_id="c9cf4c2c0165f48f494415390c3b49"
1{
2 "data": {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "file": {
5 "id": "123e4567-e89b-12d3-a456-426614174000",
6 "name": "your_file_name",
7 "fileType": "pdf"
8 },
9 "title": "Your title here",
10 "amount": "1234.56",
11 "status": "OPEN",
12 "created_at": "2020-11-02T12:00:00.000Z",
13 "updated_at": "2020-11-02T12:00:00.000Z",
14 "contract_id": "m3jk2j",
15 "description": "Your description here",
16 "cycle_reference": "your_cycle_reference",
17 "move_next_cycle": true,
18 "date_of_adjustment": "2020-11-02T12:00:00.000Z",
19 "actual_end_cycle_date": "2023-11-15T00:00:00.000Z",
20 "adjustment_category_id": "c9cf4c2c0165f48f494415390c3b49",
21 "actual_start_cycle_date": "2023-11-01T00:00:00.000Z"
22 }
23}

Creates a new payroll adjustment for a contract, modifying the payment amount on the next payment cycle. The adjustment_category_id must reference a valid category retrieved from GET /adjustments/categories. Token scopes: adjustments:write

Was this page helpful?
Previous

Delete an adjustment

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

Creation data for a new adjustment
filefileRequired
File of adjustment.
titlestringRequired3-255 characters
Title of adjustment.
amountstring or doubleRequired
Amount of adjustment.
vendorstringRequired>=3 characters
Vendor of adjustment.
countrystringRequiredformat: "^[A-Z]{2}$"=2 characters
Country code.
contract_idstringRequired>=5 characters
The identifier of the contract associated with the adjustment
descriptionstringRequired3-255 characters
Description of adjustment.
cycle_referencestringOptional
Cycle reference of adjustment.
move_next_cycleboolean or nullOptional
If an adjustments can belong to another payroll cycle.
date_of_adjustmentstring or nullOptionalformat: "date"

Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

adjustment_category_idstringRequired>=25 characters
Adjustment category id.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/